Skip to main content

Update a price list level

PATCH 

/api/price-list-levels/{id}

  • pricelist.edit: allows to update resources of price list levels.

Here the dedicated support page.

Request

Path Parameters

    id integerrequired

    Possible values: Value must match regular expression [0-9]+

    The ID of the price list level to update

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Body

    price integer

    Default value: 0

    The price of the price list level

    cost integer

    Default value: 0

    The cost of the price list level

Responses

Returns the price list level updated.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    price_list_id integer

    Possible values: >= 1

    ID of the price list

    level_id integer

    Possible values: >= 1

    ID of the level

    price integerrequired

    The price of the price list level

    cost integerrequired

    The price of the price list level

Loading...